• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 1774
  • Last Modified:

a required component for interacting with excel is not available. please run setup.exe

Hi;

I have an excel add-in that i need to install but failed in Excel 2007 under both W7-x86 and x64.

The installation fails with this popup:
"a required component for interacting with excel is not available. please run setup.exe"

I reinstalled PIA for 2007 and 2010 but no avail. Any solution to install this?

Regards.
0
jazzIIIlove
Asked:
jazzIIIlove
  • 2
1 Solution
 
Gerwin Jansen, EE MVETopic Advisor Commented:
What add-in is this about?
0
 
jazzIIIloveAuthor Commented:
It's for calculation, it is working fine in XLS2010
0
 
RobOwner (Aidellio)Commented:
Have you any idea what the component is that it's trying to find?  Sounds like the Add-in is only compatible with Office 2010 and above...

Does it also require any .net versions to be installed?

Do you have a link to the calculation add-in site for reference?
0
 
Gerwin Jansen, EE MVETopic Advisor Commented:
So this is probably about a 3rd party addon that requires PIA to be installed.

You should first install PIA for Excel 2007 and then the addon. I'm assuming you've got the PIA setup from here:

http://www.microsoft.com/en-us/download/details.aspx?id=18346
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: Port Scanner

Check which ports are open to the outside world. Helps make sure that your firewall rules are working as intended.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now